*Inheritance: NodeParser →*

# GLSLNodeParser

A GLSL node parser.

## Constructor

### new GLSLNodeParser()

## Methods

### .parseFunction( source : string ) : GLSLNodeFunction

The method parses the given GLSL code an returns a node function.

**source**

The GLSL code.

**Overrides:** [NodeParser#parseFunction](NodeParser.html#parseFunction)

**Returns:** A node function.

## Source

[src/nodes/parsers/GLSLNodeParser.js](https://github.com/mrdoob/three.js/blob/master/src/nodes/parsers/GLSLNodeParser.js)